<?php
namespace Litovchenko\AirTable\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Хранилище файлов: файл>
 */

class MyFile extends \Litovchenko\AirTable\Model\BaseCrud
{
	use \Litovchenko\AirTable\Field\Traits\Title;
	use \Litovchenko\AirTable\Field\Traits\Deleted;
	use \Litovchenko\AirTable\Field\Traits\CategoryId;
	use \Litovchenko\AirTable\Field\Traits\ParentId;
	
	/**
	 * @AirTable\Field:<FalMix>
	 * @AirTable\Field\Parameter\Label:<Файл>
	 * @AirTable\Field\Parameter\Position:<0,main,5>
	 */
	protected $myfile;
	
	/**
	 * @AirTable\Field:<Text>
	 * @AirTable\Field\Parameter\Label:<Описание>
	 * @AirTable\Field\Parameter\Position:<0,main,6>
	 */
	protected $myfile_description;
	
	/**
	* Переопределение массива настроек таблицы
	* @configuration (TCA array)
	* @return array
	*/
    public static function postBuildConfiguration(&$configuration = [])
    {
	}
}
?>