<?php
namespace Litovchenko\AirTable\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Страница>
 * @AirTable\Parameter\Description:<Регистрация модели в системе>
 * @AirTable\Parameter\TableKey:<pages>
 */

class Pages extends \Litovchenko\AirTable\Model\BaseCrud2
{
	/**
	 * @AirTable\Field:<SwitchInt>
	 * @AirTable\Field\Parameter\Show:<1>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $doktype;
	
	/**
	 * @AirTable\Field:<Input>
	 * @AirTable\Field\Parameter\Show:<1>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $title;
	
	/**
	 * @AirTable\Field:<Input>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $nav_title;
	
	/**
	 * @AirTable\Field:<Input>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $subtitle;
	
	/**
	 * @AirTable\Field:<Text>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $abstract;
	
	/**
	 * @AirTable\Field:<Text>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $keywords;
	
	/**
	 * @AirTable\Field:<Text>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $description;
	
	/**
	* Переопределение массива настроек таблицы
	* @configuration (TCA array)
	* @return array
	*/
    public static function postBuildConfiguration(&$configuration = [])
    {
	}
}
?>