<?php
namespace Litovchenko\AirTable\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Содержимое>
 * @AirTable\Parameter\Description:<Регистрация модели в системе>
 * @AirTable\Parameter\TableKey:<tt_content>
 */

class TtContent extends \Litovchenko\AirTable\Model\BaseCrud2
{
	/**
	 * @AirTable\Field:<SwitchVarchar>
	 * @AirTable\Field\Parameter\Show:<1>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $CType;
	
	/**
	 * @AirTable\Field:<Input>
	 * @AirTable\Field\Parameter\Show:<1>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $header;
	
	/**
	 * @AirTable\Field:<Input>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $subheader;
	
	/**
	 * @AirTable\Field:<TextRte>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $bodytext;
	
	/**
	* Переопределение массива настроек таблицы
	* @configuration (TCA array)
	* @return array
	*/
    public static function postBuildConfiguration(&$configuration = [])
    {
		// Разрешаем создание записей в корне дерева страниц сайта
		$configuration['ctrl']['rootLevel'] = -1; // Разрешаем создавать содержимое в корне дерева
		$configuration['columns']['colPos']['displayCond'] = 'FIELD:pid:!=:0'; // В корне скрываем выбор колонки
	}
}
?>