<?php
namespace Litovchenko\AirTable\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Таблица 5 (Полиморфные связи P_1:1)>
 */

class ExampleTable5 extends \Litovchenko\AirTable\Model\BaseCrud
{
	use \Litovchenko\AirTable\Field\Traits\Title;
	use \Litovchenko\AirTable\Field\Traits\Disabled;
	use \Litovchenko\AirTable\Field\Traits\Deleted;
	use \Litovchenko\AirTable\Field\Traits\Sorting;
	use \Litovchenko\AirTable\Field\Traits\RelPolyRevers;
	
	/**
	 * @AirTable\Field:<Rel_Poly_1to1_Revers>
	 * @AirTable\Field\Parameter\Label:<Основная таблица>
	 * @AirTable\Field\Parameter\ForeignModel:<Litovchenko\AirTable\Model\ExampleTable>
	 * @AirTable\Field\Parameter\ForeignKey:<exampletable5_one>
	 */
	#protected $exampletable_one;
	
	/**
	 * @AirTable\Field:<Rel_Poly_1to1_Revers>
	 * @AirTable\Field\Parameter\Label:<Основная таблица (тест аналогичной связи №2)>
	 * @AirTable\Field\Parameter\ForeignModel:<Litovchenko\AirTable\Model\ExampleTable>
	 * @AirTable\Field\Parameter\ForeignKey:<duplicate_exampletable5_one>
	 */
	#protected $duplicate_exampletable_one;
}
?>