<?php
namespace Litovchenko\AirTable\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Таблица 6 (Полиморфные связи P_1:M)>
 */

class ExampleTable6 extends \Litovchenko\AirTable\Model\BaseCrud
{
	use \Litovchenko\AirTable\Field\Traits\Title;
	use \Litovchenko\AirTable\Field\Traits\Disabled;
	use \Litovchenko\AirTable\Field\Traits\Deleted;
	use \Litovchenko\AirTable\Field\Traits\Sorting;
	use \Litovchenko\AirTable\Field\Traits\RelPolyRevers;
	
	/**
	 * @AirTable\Field:<Rel_Poly_1toM_Revers>
	 * @AirTable\Field\Parameter\Label:<Основная таблица>
	 * @AirTable\Field\Parameter\ForeignModel:<Litovchenko\AirTable\Model\ExampleTable>
	 * @AirTable\Field\Parameter\ForeignKey:<exampletable6_many>
	 */
	#protected $exampletable_many;
}
?>