<?php
namespace Litovchenko\AirTable\DefaultProperty\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Тест полей: дефолтовые поля - категория>
 * @AirTable\Parameter\PidAny:<1>
 */
 
class TestDefaultFieldsCategory extends \Litovchenko\AirTable\Model\BaseCrud
{
	use \Litovchenko\AirTable\Field\Traits\RType;
	use \Litovchenko\AirTable\Field\Traits\Title;
	use \Litovchenko\AirTable\Field\Traits\Disabled;
	use \Litovchenko\AirTable\Field\Traits\Deleted;
	use \Litovchenko\AirTable\Field\Traits\Sorting;
	use \Litovchenko\AirTable\Field\Traits\ParentId;
	
	/**
	* Типы записей по умолчанию
	* @return array
	*/
    public static function baseRTypes()
    {
		return [
			1 => 'Тип 1',
			2 => 'Тип 2',
			3 => 'Тип 3'
		];
	}
	
	/**
	 * @AirTable\Field:<Input>
	 * @AirTable\Field\Parameter\Tab:<Основные 1>
	 * @AirTable\Field\Parameter\Label:<Тестовое поле>
	 */
	protected $test_field;
	
	/**
	* Переопределение массива настроек таблицы
	* @configuration (TCA array)
	* @return array
	*/
    public static function postBuildConfiguration(&$configuration = [])
    {
		//$configuration['ctrl']['...'] = 1;
	}
}