<?php
namespace Litovchenko\AirTable\DefaultProperty\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Тест полей: однострочные данные>
 */
 
class TestInput extends \Litovchenko\AirTable\Model\BaseCrud
{
	/**
	 * @AirTable\Field:<Input>
	 * @AirTable\Field\Parameter\Label:<Строка>
	 * @AirTable\Field\Parameter\Placeholder:<Однострочное поле>
	 * @AirTable\Field\Parameter\Description:<Однострочное поле>
	 * @AirTable\Field\Parameter\LiveSearch:<1>
	 * @AirTable\Field\Parameter\Max:<100>
	 * @AirTable\Field\Parameter\Size:<24>
	 * @AirTable\Field\Parameter\Default:<10>
	 * @AirTable\Field\Parameter\Required:<1>
	 */
	protected $field_input;
	
	/**
	 * @AirTable\Field:<InputNumber>
	 * @AirTable\Field\Parameter\Label:<Число>
	 */
	protected $field_inputnumber;
	
	/**
	 * @AirTable\Field:<InputInt>
	 * @AirTable\Field\Parameter\Label:<Целое число (допускается отрицательное)>
	 */
	protected $field_inputint;
	
	/**
	 * @AirTable\Field:<InputFloat>
	 * @AirTable\Field\Parameter\Label:<Дробное число (допускается отрицательное)>
	 */
	protected $field_inputfloat;
	
	/**
	 * @AirTable\Field:<InputAlpha>
	 * @AirTable\Field\Parameter\Label:<Только символы A-Za-z>
	 */
	protected $field_inputalpha;
	
	/**
	 * @AirTable\Field:<InputAlphaNum>
	 * @AirTable\Field\Parameter\Label:<Только символы и цифры A-Za-z0-9>
	 */
	protected $field_inputalphanum;
	
	/**
	 * @AirTable\Field:<InputAlphaNumX>
	 * @AirTable\Field\Parameter\Label:<Только символы, цифры и подчеркивания A-Za-z0-9-_>
	 */
	protected $field_inputalphanumx;

	/**
	 * @AirTable\Field:<InputEmail>
	 * @AirTable\Field\Parameter\Label:<Электронный адрес>
	 */
	protected $field_inputemail;

	/**
	 * @AirTable\Field:<InputPassword>
	 * @AirTable\Field\Parameter\Label:<Пароль>
	 */
	protected $field_inputpassword;
	
	/**
	* Переопределение массива настроек таблицы
	* @configuration (TCA array)
	* @return array
	*/
    public static function postBuildConfiguration(&$configuration = [])
    {
		//$configuration['ctrl']['...'] = 1;
	}
}
?>