<?php
namespace Litovchenko\AirTable\DefaultProperty\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Тест полей: многострочные данные>
 */
 
class TestText extends \Litovchenko\AirTable\Model\BaseCrud
{
	/**
	 * @AirTable\Field:<Text>
	 * @AirTable\Field\Parameter\Label:<Тест>
	 * @AirTable\Field\Parameter\Description:<Многострочное поле>
	 * @AirTable\Field\Parameter\Required:<1>
	 */
	protected $field_text;
	
	/**
	 * @AirTable\Field:<TextRte>
	 * @AirTable\Field\Parameter\Label:<Визуальный редактор>
	 * @AirTable\Field\Parameter\Description:<Многострочное поле>
	 */
	protected $field_textrte;
	
	/**
	 * @AirTable\Field:<TextCode>
	 * @AirTable\Field\Parameter\Label:<Программный код>
	 * @AirTable\Field\Parameter\Description:<Многострочное поле>
	 * @AirTable\Field\Parameter\Format:<php>
	 */
	protected $field_textcode;
	
	/**
	 * @AirTable\Field:<TextTable>
	 * @AirTable\Field\Parameter\Label:<Таблица>
	 * @AirTable\Field\Parameter\Description:<Многострочное поле>
	 */
	protected $field_texttable;
	
	/**
	* Переопределение массива настроек таблицы
	* @configuration (TCA array)
	* @return array
	*/
    public static function postBuildConfiguration(&$configuration = [])
    {
		//$configuration['ctrl']['...'] = 1;
	}
}
?>