<?php
namespace Litovchenko\AirTable\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Pdf-каталог (мультиструктура как на Vorot)>
 */

class PdfCatalog extends \Litovchenko\AirTable\Model\BaseCrud
{
	use \Litovchenko\AirTable\Field\Traits\RType;
	use \Litovchenko\AirTable\Field\Traits\Title;
	use \Litovchenko\AirTable\Field\Traits\Deleted;
	use \Litovchenko\AirTable\Field\Traits\ParentId;
	
	/**
	* Типы записей по умолчанию
	* @return array
	*/
    public static function baseRTypes()
    {
		return [
			'group' => 'Группа',
			'directory' => 'Раздел',
			'pdf' => 'Pdf-документ'
		];
	}
	
	/**
	* Переопределение массива настроек таблицы
	* @configuration (TCA array)
	* @return array
	*/
    public static function postBuildConfiguration(&$configuration = [])
    {
		//$configuration['ctrl']['...'] = 1;
	}
}