<?php
namespace Litovchenko\AirTable\Examples5\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Город>
 */

class City extends \Litovchenko\AirTable\Model\BaseCrud
{
	use \Litovchenko\AirTable\Field\Traits\Title;
	use \Litovchenko\AirTable\Field\Traits\Disabled;
	use \Litovchenko\AirTable\Field\Traits\Deleted;
	use \Litovchenko\AirTable\Field\Traits\Sorting;
	
	/**
	 * @AirTable\Field:<Rel_Mto1>
	 * @AirTable\Field\Parameter\Show:<1>
	 * @AirTable\Field\Parameter\Label:<Страна>
	 * @AirTable\Field\Parameter\ForeignModel:<Litovchenko\AirTable\Examples5\Model\Country>
	 * @AirTable\Field\Parameter\ForeignKey:<city_many>
	 */
	 protected $country_id;
}
?>