<?php
namespace Litovchenko\AirTable\Examples5\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Страна>
 */

class Country extends \Litovchenko\AirTable\Model\BaseCrud
{
	use \Litovchenko\AirTable\Field\Traits\Title;
	use \Litovchenko\AirTable\Field\Traits\Disabled;
	use \Litovchenko\AirTable\Field\Traits\Deleted;
	use \Litovchenko\AirTable\Field\Traits\Sorting;
	
	/**
	 * @AirTable\Field:<Rel_Mto1_Revers>
	 * @AirTable\Field\Parameter\Label:<Города>
	 * @AirTable\Field\Parameter\ForeignModel:<Litovchenko\AirTable\Examples5\Model\City>
	 * @AirTable\Field\Parameter\ForeignKey:<country_id>
	 */
	protected $city_many;
}
?>