<?php
namespace Litovchenko\AirTable\Examples6\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Блюдо>
 */

class Dish extends \Litovchenko\AirTable\Model\BaseCrud
{
	use \Litovchenko\AirTable\Field\Traits\Title;
	use \Litovchenko\AirTable\Field\Traits\Disabled;
	use \Litovchenko\AirTable\Field\Traits\Deleted;
	use \Litovchenko\AirTable\Field\Traits\Sorting;
	
	/**
	 * @AirTable\Field:<Rel_MtoM>
	 * @AirTable\Field\Parameter\Label:<Ингридиент>
	 * @AirTable\Field\Parameter\ForeignModel:<Litovchenko\AirTable\Examples6\Model\Ingredient>
	 * @AirTable\Field\Parameter\ForeignKey:<dish_many>
	 */
	protected $ingredient_many;
}
?>