<?php
namespace Litovchenko\AirTable\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Точка монтирования файлов>
 * @AirTable\Parameter\Description:<Регистрация модели в системе>
 * @AirTable\Parameter\TableKey:<sys_filemounts>
 */

class SysFilemounts extends \Litovchenko\AirTable\Model\BaseCrud2
{
	/**
	 * @AirTable\Field:<Input>
	 * @AirTable\Field\Parameter\Show:<1>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $title;
	
	/**
	 * @AirTable\Field:<Text>
	 * @AirTable\Field\Parameter\Show:<1>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $description;
	
	/**
	 * @AirTable\Field:<FlagDisabled>
	 * @AirTable\Field\Parameter\Show:<1>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $hidden;
	
	/**
	* Переопределение массива настроек таблицы
	* @configuration (TCA array)
	* @return array
	*/
    public static function postBuildConfiguration(&$configuration = [])
    {
	}
}
?>