<?php
namespace Litovchenko\AirTable\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Backend пользователи>
 * @AirTable\Parameter\Description:<Регистрация модели в системе>
 * @AirTable\Parameter\TableKey:<be_users>
 */

class BeUsers extends \Litovchenko\AirTable\Model\BaseCrud2
{
	/**
	 * @AirTable\Field:<Input>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $username;
	
	/**
	 * @AirTable\Field:<Text>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $description;
	
	/**
	 * @AirTable\Field:<InputPassword>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $password;
	
	/**
	 * @AirTable\Field:<Flag>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $admin;
	
	/**
	 * @AirTable\Field:<FlagDisabled>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $disable;
	
	/**
	* Переопределение массива настроек таблицы
	* @configuration (TCA array)
	* @return array
	*/
    public static function postBuildConfiguration(&$configuration = [])
    {
	}
}
?>