<?php
namespace Litovchenko\AirTable\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Frontend пользователи (группы)>
 * @AirTable\Parameter\Description:<Регистрация модели в системе>
 * @AirTable\Parameter\TableKey:<fe_groups>
 */

class FeGroups extends \Litovchenko\AirTable\Model\BaseCrud2
{	
	/**
	 * @AirTable\Field:<Input>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $title;
	
	/**
	 * @AirTable\Field:<Text>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $description;
	
	/**
	 * @AirTable\Field:<FlagDisabled>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $hidden;
	
	/**
	* Переопределение массива настроек таблицы
	* @configuration (TCA array)
	* @return array
	*/
    public static function postBuildConfiguration(&$configuration = [])
    {
		// Разрешаем создание записей в корне дерева страниц сайта
		$configuration['ctrl']['rootLevel'] = -1;
	}
}
?>