<?php
namespace Litovchenko\AirTable\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Frontend пользователи>
 * @AirTable\Parameter\Description:<Регистрация модели в системе>
 * @AirTable\Parameter\TableKey:<fe_users>
 */

class FeUsers extends \Litovchenko\AirTable\Model\BaseCrud2
{	
	/**
	 * @AirTable\Field:<Input>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $username;
	
	/**
	 * @AirTable\Field:<Text>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $description;
	
	/**
	 * @AirTable\Field:<InputPassword>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $password;
	
	/**
	 * @AirTable\Field:<FlagDisabled>
	 * @AirTable\Field\Parameter\DoNotSqlAnalyze:<1>
	 */
	protected $disable;
	
	/**
	* Переопределение массива настроек таблицы
	* @configuration (TCA array)
	* @return array
	*/
    public static function postBuildConfiguration(&$configuration = [])
    {
		// Разрешаем создание записей в корне дерева страниц сайта
		$configuration['ctrl']['rootLevel'] = -1;
	}
}
?>