<?php
namespace Litovchenko\AirTable\Field;
use Litovchenko\AirTable\Field\Input;
use Litovchenko\AirTable\Utility\BaseUtility;

/**
 * @AirTable:<Field>
 * @AirTable\Parameter\Label:<Строка (только символы и цифры)>
 */
class InputAlphaNum extends Input
{
    /**
     * @modify array
     */
    public static function buildConfiguration($model, $table, $field)
    {
		parent::buildConfiguration($model,$table,$field);
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['type'] = 'input';
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['eval'] .= ',alphanum';
    }
}
