<?php
namespace Litovchenko\AirTable\Field;
use Litovchenko\AirTable\Field\DateTime;
use Litovchenko\AirTable\Utility\BaseUtility;

/**
 * @AirTable:<Field>
 * @AirTable\Parameter\Label:<Специальное: дата создания записи>
 */
class SpecialDateCreate extends DateTime
{
    /**
     * @modify array
     */
    public static function buildConfiguration($model, $table, $field)
    {
		parent::buildConfiguration($model, $table, $field);
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['default'] = time();
    }
	
    /**
     * @modify array
     */
    public static function postBuildConfiguration($model, $table, $field)
    {
		$GLOBALS['TCA'][$table]['ctrl']['crdate'] = 'date_create';
	}
}