<?php
namespace Litovchenko\AirTable\Field;
use Litovchenko\AirTable\Field\FlagDeleted;
use Litovchenko\AirTable\Utility\BaseUtility;

/**
 * @AirTable:<Field>
 * @AirTable\Parameter\Label:<Специальное: корзина>
 */
class SpecialDeleted extends FlagDeleted
{
    /**
     * @modify array
     */
    public static function buildConfiguration($model, $table, $field)
    {
		parent::buildConfiguration($model, $table, $field);
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['items'] = [];
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['items'][] = [
			0=>'Удален в корзину',
			1=>1
		];
    }
	
    /**
     * @modify array
     */
    public static function postBuildConfiguration($model, $table, $field)
    {
		$GLOBALS['TCA'][$table]['ctrl']['delete'] = 'deleted';
	}
}