<?php
namespace Litovchenko\AirTable\Field;
use Litovchenko\AirTable\Field\FlagDisabled;
use Litovchenko\AirTable\Utility\BaseUtility;

/**
 * @AirTable:<Field>
 * @AirTable\Parameter\Label:<Специальное: активность>
 */
class SpecialDisabled extends FlagDisabled
{
    /**
     * @modify array
     */
    public static function buildConfiguration($model, $table, $field)
    {
		parent::buildConfiguration($model, $table, $field);
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['items'] = [];
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['items'][] = [
			0=>'Выключен',
			1=>1
		];
    }
	
    /**
     * @modify array
     */
    public static function postBuildConfiguration($model, $table, $field)
    {
		$GLOBALS['TCA'][$table]['ctrl']['enablecolumns']['disabled'] = 'disabled';
	}
}