<?php
namespace Litovchenko\AirTable\Field;
use Litovchenko\AirTable\Field\SwitchInt;
use Litovchenko\AirTable\Utility\BaseUtility;

/**
 * @AirTable:<Field>
 * @AirTable\Parameter\Label:<Логический переключатель Varchar (между набором представленных вариантов)>
 * @AirTable\Parameter\Description:<По умолчанию "пустая строка">
 */
class SwitchVarchar extends SwitchInt
{
    /**
     * @return string
     */
    public static function databaseDefinitions($model, $table, $field)
    {
        return [$table=>[
			$field => 'varchar(255) DEFAULT \'\' NOT NULL'
		]];
    }

}
