<?php
namespace Litovchenko\AirTable\Field;
use Litovchenko\AirTable\Field\Text;
use Litovchenko\AirTable\Utility\BaseUtility;

/**
 * @AirTable:<Field>
 * @AirTable\Parameter\Label:<Многострочный текст (таблица в формате CSV)>
 */
class TextTable extends Text
{
    /**
     * @modify array
     */
    public static function buildConfiguration($model, $table, $field)
    {
		parent::buildConfiguration($model,$table,$field);
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['type'] = 'text';
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['renderType'] = 'textTable';
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['eval'] .= '';
    }
}
