<?php
namespace Litovchenko\AirTable\Field;
use Litovchenko\AirTable\Field\UploadImage;
use Litovchenko\AirTable\Utility\BaseUtility;

/**
 * @AirTable:<Field>
 * @AirTable\Parameter\Label:<Изображения (до 100)>
 */
class UploadImages extends UploadImage
{
    /**
     * @return string
     */
    public static function databaseDefinitions($model, $table, $field)
    {
        return [$table=>[
			$field => 'text'
		]];
    }

    /**
     * @modify array
     */
    public static function buildConfiguration($model, $table, $field)
    {
		parent::buildConfiguration($model,$table,$field);
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['maxitems'] = 100;
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['size'] = 10;
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['autoSizeMax'] = 10;
    }
}
