<?php
namespace Litovchenko\AirTable\Field\Traits;
use Litovchenko\AirTable\Utility\BaseUtility;

trait Deleted
{
	/**
	 * @AirTable\Field:<SpecialDeleted>
	 * @AirTable\Field\Parameter\Position\*:<access,4>
	 * @AirTable\Field\Parameter\Label:<Корзина>
	 */
	protected $deleted;
	
	/**
	* Условие по умолчанию
	* @return query
	*/
    public static function bootScopeDeleted(&$builder, $table)
    {
		// $fieldDelete = $GLOBALS['TCA'][$table]['ctrl']['delete'];
		if(TYPO3_MODE === 'BE'){
			if(BaseUtility::_GETuc('BackendDeleteScope',0,'AllController') == 0){
				$builder->where($table.'.deleted', '=', 0);
			}
		}
		#if(TYPO3_MODE === 'FE'){
		#	$builder->where($table.'.deleted', '=', 0);
		#}
	}
}