<?php
namespace Litovchenko\AirTable\Field\Traits;
use Litovchenko\AirTable\Utility\BaseUtility;

trait RelPolyRevers
{
	/**
	 * @AirTable\Field:<SwitchVarchar>
	 * @AirTable\Field\Parameter\Position\*:<rels,-4>
	 * @AirTable\Field\Parameter\Label:<POLY.1 Таблица>
	 * @AirTable\Field\Parameter\Items\0:<Значение не выбрано>
	 * @AirTable\Field\Parameter\ReadOnly:<0>
	 */
	protected $foreign_table;
	
	/**
	 * @AirTable\Field:<Input>
	 * @AirTable\Field\Parameter\Position\*:<rels,-3>
	 * @AirTable\Field\Parameter\Label:<POLY.2 Колонка>
	 * @AirTable\Field\Parameter\ReadOnly:<0>
	 */
	protected $foreign_field;
	
	/**
	 * @AirTable\Field:<InputNumber>
	 * @AirTable\Field\Parameter\Position\*:<rels,-2>
	 * @AirTable\Field\Parameter\Label:<POLY.3 Запись (ID>
	 * @AirTable\Field\Parameter\ReadOnly:<0>
	 */
	protected $foreign_uid;
	
	/**
	 * @AirTable\Field:<InputNumber>
	 * @AirTable\Field\Parameter\Position\*:<rels,-1>
	 * @AirTable\Field\Parameter\Label:<POLY.4 Сортировка>
	 * @AirTable\Field\Parameter\ReadOnly:<0>
	 */
	protected $foreign_sortby;
}