<?php
namespace Litovchenko\AirTable\Utility;

use Illuminate\Database\Capsule\Manager as Capsule;

class EloquentUtility {

	public static function bootEloquent($connection = NULL) {
		if(class_exists('Illuminate\Database\Capsule\Manager')){
			$capsule = new Capsule();
			$capsule->addConnection(self::getDefaultConnection());
			$capsule->setAsGlobal();
			$capsule->bootEloquent();
		}
	}

	protected static function getDefaultConnection() {
		$connections = $GLOBALS['TYPO3_CONF_VARS']['DB']['Connections']['Default'];
		return [
			'driver' => 'mysql',
			'host' => $connections['host'],
			'database' => $connections['dbname'],
			'username' => $connections['user'],
			'password' => $connections['password'],
			'charset' => $connections['charset'],
			'prefix' => '',
		];
	}
}
