<?php
namespace FluidTYPO3\TestProviderExtension\Controller;

use TYPO3\CMS\Extbase\Domain\Model\FrontendUser;
use TYPO3\CMS\Extbase\Domain\Repository\FrontendUserRepository;
use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

/**
 * Class Plugin1Controller
 */
class Plugin1Controller extends ActionController
{
    /**
     * @var FrontendUserRepository
     */
    protected $userRepository;

    /**
     * @param FrontendUserRepository $repository
     * @return void
     */
    public function injectUserRepository(FrontendUserRepository $repository)
    {
        $this->userRepository = $repository;
    }

    /**
     * @return void
     */
    public function indexAction()
    {
        /*
        for ($i = 0; $i < 100; $i++) {
            $user = new FrontendUser('user' . $i, 'password' . $i);
            $this->userRepository->add($user);
        }
        $this->view->assign('users', $this->userRepository->findAll());
        */
		
		$currentData = $this->configurationManager->getContentObject()->data;
		$flexFormContent = $currentData['pi_flexform'];
		
		$flexFormService = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance('TYPO3\\CMS\\Extbase\\Service\\FlexFormService');
        $fields = $flexFormService->convertFlexFormContentToArray($flexFormContent);

		#$header = $currentTtContent['header'];
		#debug($currentTtContent);
		#debug($header);
		
        $this->view->assign('specialVarible', ' @@@ Test From Controller 444 @@@');
    }
	
    /**
     * @return void
     */
    public function action2Action()
    {
	}
	
    public function getDynamicProperties() {
        $flexFormContent = $this->piFlexform;
        $flexFormService = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance('TYPO3\\CMS\\Extbase\\Service\\FlexFormService');
        $fields = $flexFormService->convertFlexFormContentToArray($flexFormContent);

        return $fields;
    }

}