<?php
namespace Litovchenko\AirTable\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Таблица 1 (1:1)>
 */

class ExampleTable1 extends \Litovchenko\AirTable\Model\BaseCrud
{
	use \Litovchenko\AirTable\Field\Traits\Title;
	use \Litovchenko\AirTable\Field\Traits\Disabled;
	use \Litovchenko\AirTable\Field\Traits\Deleted;
	use \Litovchenko\AirTable\Field\Traits\Sorting;
	
	/**
	 * @AirTable\Field:<Rel_1to1_Revers>
	 * @AirTable\Field\Parameter\Label:<Основная таблица>
	 * @AirTable\Field\Parameter\ForeignModel:<Litovchenko\AirTable\Model\ExampleTable>
	 * @AirTable\Field\Parameter\ForeignKey:<exampletable1_one>
	 */
	protected $exampletable_id;
}
?>