<?php
namespace Litovchenko\AirTable\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Таблица 3 (M:1)>
 * @AirTable\Parameter\RType\MySql:<int>
 * @AirTable\Parameter\RType\Default:<1>
 * @AirTable\Parameter\RType\Items\1:<Тип 1>
 * @AirTable\Parameter\RType\Items\2:<Тип 2>
 */

class ExampleTable3 extends \Litovchenko\AirTable\Model\BaseCrud
{
	use \Litovchenko\AirTable\Field\Traits\RType;
	use \Litovchenko\AirTable\Field\Traits\Title;
	use \Litovchenko\AirTable\Field\Traits\Disabled;
	use \Litovchenko\AirTable\Field\Traits\Deleted;
	use \Litovchenko\AirTable\Field\Traits\Sorting;
	
	/**
	 * @AirTable\Field:<Rel_Mto1_Revers>
	 * @AirTable\Field\Parameter\Label:<Основная таблица>
	 * @AirTable\Field\Parameter\ForeignModel:<Litovchenko\AirTable\Model\ExampleTable>
	 * @AirTable\Field\Parameter\ForeignKey:<exampletable3_id>
	 */
	protected $exampletable_many;
}
?>