<?php
namespace Litovchenko\AirTable\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Таблица 7 (Полиморфные связи P_M:M)>
 */

class ExampleTable7 extends \Litovchenko\AirTable\Model\BaseCrud
{
	use \Litovchenko\AirTable\Field\Traits\Title;
	use \Litovchenko\AirTable\Field\Traits\Disabled;
	use \Litovchenko\AirTable\Field\Traits\Deleted;
	use \Litovchenko\AirTable\Field\Traits\Sorting;
	
	/**
	 * @AirTable\Field:<Rel_Poly_MtoM_Revers>
	 * @AirTable\Field\Parameter\Label:<Основная таблица>
	 * @AirTable\Field\Parameter\ForeignModel:<Litovchenko\AirTable\Model\ExampleTable>
	 * @AirTable\Field\Parameter\ForeignKey:<exampletable7_many>
	 */
	#protected $exampletable_many;
}
?>