<?php
namespace Litovchenko\AirTable\DefaultProperty\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Тест полей: дата и время>
 */
 
class TestDateAndTime extends \Litovchenko\AirTable\Model\BaseCrud
{
	/**
	 * @AirTable\Field:<Date>
	 * @AirTable\Field\Parameter\Label:<Дата>
	 */
	protected $field_date;

	/**
	 * @AirTable\Field:<DateTime>
	 * @AirTable\Field\Parameter\Label:<Дата и время>
	 */
	protected $field_datetime;
	
	/**
	 * @AirTable\Field:<Time>
	 * @AirTable\Field\Parameter\Position\*:<props,110>
	 * @AirTable\Field\Parameter\Label:<Время>
	 */
	protected $field_time;	

	/**
	 * @AirTable\Field:<TimeSec>
	 * @AirTable\Field\Parameter\Label:<Время, секунды>
	 */
	protected $field_timesec;

	/**
	 * @AirTable\Field:<Year>
	 * @AirTable\Field\Parameter\Label:<Год>
	 */
	protected $field_year;
	
	/**
	* Переопределение массива настроек таблицы
	* @configuration (TCA array)
	* @return array
	*/
    public static function postBuildConfiguration(&$configuration = [])
    {
		//$configuration['ctrl']['...'] = 1;
	}
}
?>