<?php
namespace Litovchenko\AirTable\DefaultProperty\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Тест полей: флаг, переключатель, список значений>
 */
 
class TestFlagSwitchEnum extends \Litovchenko\AirTable\Model\BaseCrud
{
	/**
	 * @AirTable\Field:<Flag>
	 * @AirTable\Field\Parameter\Label:<Флаг>
	 * @AirTable\Field\Parameter\Items\1:<Отмечен>
	 */
	protected $field_flag;
	
	/**
	 * @AirTable\Field:<SwitchInt>
	 * @AirTable\Field\Parameter\Label:<Переключатель>
	 * @AirTable\Field\Parameter\Items\0:<Без значения>
	 * @AirTable\Field\Parameter\Items\1:<Значение 1>
	 * @AirTable\Field\Parameter\Items\2:<Значение 2>
	 * @AirTable\Field\Parameter\Items\3:<Значение 3>
	 * @AirTable\Field\Parameter\Items\4:<Значение 4>
	 * @AirTable\Field\Parameter\Items\5:<Значение 5>
	 */
	protected $field_switch;
	
	/**
	 * @AirTable\Field:<Enum>
	 * @AirTable\Field\Parameter\Label:<Список значений>
	 * @AirTable\Field\Parameter\Items\1:<Один>
	 * @AirTable\Field\Parameter\Items\2:<Два>
	 * @AirTable\Field\Parameter\Items\3:<Три>
	 */
	protected $field_enum;
	
	/**
	* Переопределение массива настроек таблицы
	* @configuration (TCA array)
	* @return array
	*/
    public static function postBuildConfiguration(&$configuration = [])
    {
		//$configuration['ctrl']['...'] = 1;
	}
	
	/**
	* Пользовательские значения для полей типа Switch, Enum // todo
	* Возможно использовать выборку из БД
	*/
	#public static function itemsProcFunc(&$params,&$pObj){
	#	$params['items'][] = array(0=>'New item', 1=>'New item value');
	#}
}