<?php
namespace Litovchenko\AirTable\DefaultProperty\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Тест полей: специальные поля>
 */
 
class TestSpecial extends \Litovchenko\AirTable\Model\BaseCrud
{
	/**
	 * @AirTable\Field:<InputLink>
	 * @AirTable\Field\Parameter\Label:<Ссылка>
	 */
	protected $field_link;
	
	/**
	 * @AirTable\Field:<InputColor>
	 * @AirTable\Field\Parameter\Label:<Цвет>
	 */
	protected $field_color;
	
	/**
	 * @AirTable\Field:<UserFunction>
	 * @AirTable\Field\Parameter\Tab:<Пользовательское поле>
	 * @AirTable\Field\Parameter\Label:<Пользовательское поле>
	 * @AirTable\Field\Parameter\Function:<Litovchenko\AirTable\DefaultProperty\Model\TestSpecial->specialField>
	 * @AirTable\Field\Parameter\Arguments\Color:<green>
	 * @AirTable\Field\Parameter\Arguments\Test:<value>
	 */
	protected $field_user;
	
	/**
	 * @AirTable\Field:<Flex> // todo
	 * @AirTable\Field\Parameter\Tab:<Гибкое поле>
	 * @AirTable\Field\Parameter\Label:<Гибкое поле>
	 */
	/*
	<T3DataStructure>
	  <meta>
		<langDisable>1</langDisable>
	  </meta>
	  <ROOT>
		<type>array</type>
		<el>
		  <emails>
			<section>1</section>
			<type>array</type>
			<el>
			  <container>
				<title>Recipient</title>
				<type>array</type>
				<el>
				  <email>
					<TCEforms>
					  <label>Email</label>
					  <config>
						<type>input</type>
						<size>48</size>
					  </config>
					</TCEforms>
				  </email>
				</el>
			  </container>
			</el>
		  </emails>
		</el>
	  </ROOT>
	</T3DataStructure>
	*/
	#protected $field_flex;

	/**
	 * @AirTable\Field:<PassthroughInt>
	 * @AirTable\Field\Parameter\Label:<Сквозное поле (Int)>
	 */
	protected $field_passthrough_int;

	/**
	 * @AirTable\Field:<PassthroughVarchar>
	 * @AirTable\Field\Parameter\Label:<Сквозное поле (Varchar)>
	 */
	protected $field_passthrough_varchar;

	/**
	 * @AirTable\Field:<PassthroughText>
	 * @AirTable\Field\Parameter\Label:<Сквозное поле (Text)>
	 */
	# protected $field_passthrough_text;
	
	/**
	* Переопределение массива настроек таблицы
	* @configuration (TCA array)
	* @return array
	*/
    public static function postBuildConfiguration(&$configuration = [])
    {
		//$configuration['ctrl']['...'] = 1;
	}
	
	/**
	* Пользовательское поле
	*/
	public static function specialField($PA, $fObj) {
		$color = (isset($PA['parameters']['Color'])) ? $PA['parameters']['Color'] : 'red';
		$formField  = '
		<div class="btn-group btn-group-justified">
  <a href="#" class="btn btn-primary">Apple</a>
  <a href="#" class="btn btn-primary">Samsung</a>
  <a href="#" class="btn btn-primary">Sony</a>
</div>
<div class="list-group">
  <a href="#" class="list-group-item active">First item</a>
  <a href="#" class="list-group-item">Second item</a>
  <a href="#" class="list-group-item">Third item</a>
</div>
<div class="panel-group">
  <div class="panel panel-default">
    <div class="panel-body">Panel Content</div>
  </div>
  <div class="panel panel-default">
    <div class="panel-body">Panel Content</div>
  </div>
</div>

<div class="panel-group">
  <div class="panel panel-default">
    <div class="panel-heading active">
      <h4 class="panel-title">
        <a data-toggle="collapse" href="#collapse1">Collapsible panel</a>
      </h4>
    </div>
    <div id="collapse1" class="panel-collapse collapse">
      <div class="panel-body">Panel Body</div>
      <div class="panel-footer">Panel Footer</div>
    </div>
  </div>
</div>
		<div role="alert alert-warning"><h3>Вкладка!</h3></div>
		<div style="padding: 5px; background-color: ' . $color . ';">';
		$formField .= '<input type="text" name="' . $PA['itemFormElName'] . '"';
		$formField .= ' value="' . htmlspecialchars($PA['itemFormElValue']) . '"';
		$formField .= ' onchange="' . htmlspecialchars(implode('', $PA['fieldChangeFunc'])) . '"';
		$formField .= $PA['onFocus'];
		$formField .= ' /></div>';
		return $formField;
	}
}