<?php
namespace Litovchenko\AirTable\Examples6\Model;

/**
 * @AirTable:<Table>
 * @AirTable\Parameter\Label:<Ингридиент>
 */

class Ingredient extends \Litovchenko\AirTable\Model\BaseCrud
{
	use \Litovchenko\AirTable\Field\Traits\Title;
	use \Litovchenko\AirTable\Field\Traits\Disabled;
	use \Litovchenko\AirTable\Field\Traits\Deleted;
	use \Litovchenko\AirTable\Field\Traits\Sorting;
	
	/**
	 * @AirTable\Field:<Rel_MtoM_Revers>
	 * @AirTable\Field\Parameter\Show:<1>
	 * @AirTable\Field\Parameter\Label:<Блюдо>
	 * @AirTable\Field\Parameter\ForeignModel:<Litovchenko\AirTable\Examples6\Model\Dish>
	 * @AirTable\Field\Parameter\ForeignKey:<ingredient_many>
	 */
	protected $dish_many;
}
?>