<?php
namespace Litovchenko\AirTable\Field;
use Litovchenko\AirTable\Field\DateTime;
use Litovchenko\AirTable\Utility\BaseUtility;

/**
 * @AirTable:<Field>
 * @AirTable\Parameter\Label:<Специальное: дата изменения записи>
 */
class SpecialDateUpdate extends DateTime
{
    /**
     * @modify array
     */
    public static function buildConfiguration($model, $table, $field)
    {
		parent::buildConfiguration($model, $table, $field);
    }
	
    /**
     * @modify array
     */
    public static function postBuildConfiguration($model, $table, $field)
    {
		$GLOBALS['TCA'][$table]['ctrl']['tstamp'] = 'date_update';
	}
}