<?php
namespace Litovchenko\AirTable\Field;
use Litovchenko\AirTable\Field\InputNumber;
use Litovchenko\AirTable\Utility\BaseUtility;

/**
 * @AirTable:<Field>
 * @AirTable\Parameter\Label:<Специальное: сортировка>
 */
class SpecialSorting extends InputNumber
{
    /**
     * @modify array
     */
    public static function buildConfiguration($model, $table, $field)
    {
		parent::buildConfiguration($model, $table, $field);
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['size'] = 8;
    }
	
    /**
     * @modify array
     */
    public static function postBuildConfiguration($model, $table, $field)
    {
		$GLOBALS['TCA'][$table]['ctrl']['sortby'] = "sorting";
		$GLOBALS['TCA'][$table]['ctrl']['default_sortby'] = " ORDER BY sorting ";
	}
}