<?php
namespace Litovchenko\AirTable\Field;
use Litovchenko\AirTable\Field\Text;
use Litovchenko\AirTable\Utility\BaseUtility;

/**
 * @AirTable:<Field>
 * @AirTable\Parameter\Label:<Многострочный текст (визуальный редактор)>
 */
class TextRte extends Text
{
    /**
     * @modify array
     */
    public static function buildConfiguration($model, $table, $field)
    {
		parent::buildConfiguration($model,$table,$field);
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['type'] = 'text';
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['enableRichtext'] = true;
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['eval'] .= '';
		
		$publicPath = \TYPO3\CMS\Core\Core\Environment::getPublicPath();
		\TYPO3\CMS\Core\Utility\GeneralUtility::mkdir($publicPath.'/fileadmin/user_upload/wysiwyg/');
		\TYPO3\CMS\Core\Utility\GeneralUtility::mkdir($publicPath.'/fileadmin/user_upload/wysiwyg/'.date('Y').'/');
		\TYPO3\CMS\Core\Utility\GeneralUtility::mkdir($publicPath.'/fileadmin/user_upload/wysiwyg/'.date('Y').'/'.date('m').'/');
    }
}