<?php
namespace Litovchenko\AirTable\Field;
use Litovchenko\AirTable\Field\Date;
use Litovchenko\AirTable\Utility\BaseUtility;

/**
 * @AirTable:<Field>
 * @AirTable\Parameter\Label:<Время, секунды>
 */
class TimeSec extends Date
{	
    /**
     * @modify array
     */
    public static function buildConfiguration($model, $table, $field)
    {
		parent::buildConfiguration($model,$table,$field);
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['type'] = 'input';
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['renderType'] = 'inputDateTime';
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['eval'] = 'timesec';
    }
}
