<?php
namespace Litovchenko\AirTable\Field;
use Litovchenko\AirTable\Field\UploadFile;
use Litovchenko\AirTable\Utility\BaseUtility;

/**
 * @AirTable:<Field>
 * @AirTable\Parameter\Label:<Изображение>
 */
class UploadImage extends UploadFile
{
    /**
     * @return string
     */
    public static function databaseDefinitions($model, $table, $field)
    {
        return [$table=>[
			$field => 'varchar(255) DEFAULT \'\' NOT NULL'
		]];
    }

    /**
     * @modify array
     */
    public static function buildConfiguration($model, $table, $field)
    {
		parent::buildConfiguration($model,$table,$field);
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['allowed'] = 'gif,jpg,jpeg,png,svg,tiff,bmp,pcx,tga,png,pdf,ai';
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['maxitems'] = 1;
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['size'] = 1;
		$GLOBALS['TCA'][$table]['columns'][$field]['config']['autoSizeMax'] = 1;
        $GLOBALS['TCA'][$table]['columns'][$field]['config']['uploadfolder'] = 'uploads/pics/'.$table.'/'.$field.'/';
		\TYPO3\CMS\Core\Utility\GeneralUtility::mkdir(\TYPO3\CMS\Core\Core\Environment::getPublicPath().'/uploads/pics/'.$table.'/');
		\TYPO3\CMS\Core\Utility\GeneralUtility::mkdir(\TYPO3\CMS\Core\Core\Environment::getPublicPath().'/uploads/pics/'.$table.'/'.$field.'/');
    }
}
