<?php
namespace Litovchenko\AirTable\Field\Traits;
use Litovchenko\AirTable\Utility\BaseUtility;

trait CategoryId
{
	/**
	 * @AirTable\Field:<Rel_Mto1>
	 * @AirTable\Field\Parameter\Position\*:<cat,2>
	 * @AirTable\Field\Parameter\Label:<Категория>
	 * @AirTable\Field\Parameter\DoNotCheck:<1>
	 
	 * @AirTable\Field\Parameter\ForeignModel:<category>
	 * @AirTable\Field\Parameter\RenderType:<tree>
	 * @AirTable\Field\Parameter\ParentKey:<parent_id>
	 */
	protected $category_id;
	
    /**
     * @return int
     */
    public function getCategoryId()
    {
        return $this->category_id;
    }

    /**
     * @param int $category_id
     */
    public function setCategoryId($category_id)
    {
        $this->category_id = $category_id;
    }
}