<?php
namespace Litovchenko\AirTable\Field\Traits;
use Litovchenko\AirTable\Utility\BaseUtility;

trait CategoryMany
{
	/**
	 * @AirTable\Field:<Rel_MtoM>
	 * @AirTable\Field\Parameter\Position\*:<cat,1>
	 * @AirTable\Field\Parameter\Label:<Категории (возможно несколько)>
	 * @AirTable\Field\Parameter\DoNotCheck:<1>
	 
	 * @AirTable\Field\Parameter\ForeignModel:<category>
	 * @AirTable\Field\Parameter\RenderType:<tree>
	 * @AirTable\Field\Parameter\ParentKey:<parent_id>
	 */
	protected $category_many;
	
    /**
     * @return int
     */
    public function getCategoryMany()
    {
        return $this->category_many;
    }

    /**
     * @param int $category_list
     */
    public function setCategoryMany($category_many)
    {
        $this->category_many = $category_many;
    }
}