<?php
namespace Litovchenko\AirTable\Field\Traits;
use Litovchenko\AirTable\Utility\BaseUtility;

trait TextAndPicDetail
{
	/**
	 * @AirTable\Field:<TextRte>
	 * @AirTable\Field\Parameter\Position\*:<detail,1>
	 * @AirTable\Field\Parameter\Label:<Детальное описание>
	 */
	protected $bodytext_detail;
	
	/**
	 * @AirTable\Field:<FalImage>
	 * @AirTable\Field\Parameter\Position\*:<detail,2>
	 * @AirTable\Field\Parameter\Label:<Детальная картинка>
	 */
	protected $picture_detail;
	
	/**
	 * @AirTable\Field:<TextRte>
	 * @AirTable\Field\Parameter\Position\*:<detail,3>
	 * @AirTable\Field\Parameter\Label:<Ключевые слова>
	 */
	protected $keywords;
	
	/**
	 * @AirTable\Field:<TextRte>
	 * @AirTable\Field\Parameter\Position\*:<detail,4>
	 * @AirTable\Field\Parameter\Label:<Описание>
	 */
	protected $description;
}