<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

// Генерация SQL структуры таблиц
$signalSlotDispatcher = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Extbase\SignalSlot\Dispatcher::class);
$signalSlotDispatcher->connect(
	'TYPO3\\CMS\\Install\\Service\\SqlExpectedSchemaService',
	'tablesDefinitionIsBeingBuilt',
	\Litovchenko\AirTable\Hooks\DatabaseSchemaService::class,
	'addMysqlTableAndFields'
);
unset($signalSlotDispatcher);

// Генерация TCA
if (TYPO3_MODE === 'BE') {
	if(class_exists('Litovchenko\AirTable\Hooks\TableConfigurationPostProcessor')){
		$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['extTablesInclusion-PostProcessing'][$_EXTKEY] =
		\Litovchenko\AirTable\Hooks\TableConfigurationPostProcessor::class;
	}
} else {
	// Для Frontend сделаем запись в папку /Configuration/TCA/
    // $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tstemplate.php']['includeStaticTypoScriptSourcesAtEnd'][$_EXTKEY] =
	// \Litovchenko\AirTable\Hooks\TableConfigurationPostProcessor::class . '->processData';
}

// FAL стандартизированный путь к загрузке изображений вида fileadmin/user_upload/record.table_name.field_name/
// $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_userauthgroup.php']['getDefaultUploadFolder'][$_EXTKEY] = 
// \Litovchenko\AirTable\Hooks\FalDefaultUploadFolder::class . '->getDefaultUploadFolder';

// Sql-подключение
if(class_exists('Litovchenko\AirTable\Utility\EloquentUtility')){
	\Litovchenko\AirTable\Utility\EloquentUtility::bootEloquent();
}
?>