<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

/* ===========================================================================
 Register BE-Module for Administration
=========================================================================== */

// Таб ext
$GLOBALS['TBE_MODULES']['_configuration']['AirTableAirtabletxairtabletabcontentExt'] = [
	'iconIdentifier' => 'module-web',
	'labels' => 'LLL:EXT:air_table/Resources/Private/Language/locallang_tabcontent_ext.xlf',
];

$path_Typo3Ext = \TYPO3\CMS\Core\Core\Environment::getExtensionsPath().'/'; // typo3conf/ext/
$path_Typo3CoreExt = \TYPO3\CMS\Core\Core\Environment::getFrameworkBasePath().'/'; // typo3/sysext
$extPathList = array_merge(
	glob($path_Typo3Ext.'*/'), // typo3conf/ext/
	['--'],
	glob($path_Typo3CoreExt.'*/') // typo3/sysext/
);

$flagExtInclude = 1;
foreach($extPathList as $k => $extPath){
	if($extPath == '--'){
		$flagExtInclude = 0;
	}
	if($flagExtInclude == 0){
		continue;
	}
	// Классы (до 4 уровней)
	// $extPath = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY);
	if(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded(basename($extPath))){
		if(is_file($extPath."Classes/Domain/_.txt") && file_exists($extPath."Classes/Domain/_.txt")){
			if(is_dir($extPath."Classes/Domain/Model/")){
				\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
					'Litovchenko.AirTable',
					'AirTableTxairtabletabcontent_ext', // Make module a submodule of 'web'
					'List'.$k, // 'air_mP'.$row['uid'] !По этому параметру определяем какой модуль открыт // Submodule key 
					'', // Position
					['List' => 'index,list,show'],
					[
						'access' => 'user,group',
						'labels' => 'LLL:EXT:air_table/Resources/Private/Language/locallang_ext_'.basename($extPath).'.xlf',
						'icon' => 'EXT:air_table/Resources/Public/Icons/module.svg'
					]
				);
				
				// Записываем название ".xlf"
				if(class_exists('Litovchenko\AirTable\Utility\BaseUtility')){
					$xlfContent = file_get_contents(\TYPO3\CMS\Core\Core\Environment::getPublicPath().'/typo3conf/ext/air_table/Resources/Private/Language/locallang_modlist.xlf');
					$xlfContent = str_replace('###NAME###','БД: '.basename($extPath),$xlfContent);
					\Litovchenko\AirTable\Utility\BaseUtility::fileReWrite(
						\TYPO3\CMS\Core\Core\Environment::getPublicPath().'/typo3conf/ext/air_table/Resources/Private/Language/locallang_ext_'.basename($extPath).'.xlf', 
						$xlfContent
					);
				}
			}
		}
	}
}

$temp = [];
$temp['AirTableAirtabletxairtabletabcontentExt'] = $GLOBALS['TBE_MODULES']['AirTableAirtabletxairtabletabcontentExt'];
unset($GLOBALS['TBE_MODULES']['AirTableAirtabletxairtabletabcontentExt']);
$GLOBALS['TBE_MODULES'] = $temp + $GLOBALS['TBE_MODULES'];

// Таб sysext
$GLOBALS['TBE_MODULES']['_configuration']['AirTableAirtabletxairtabletabcontentSysext'] = [
	'iconIdentifier' => 'module-web',
	'labels' => 'LLL:EXT:air_table/Resources/Private/Language/locallang_tabcontent_sysext.xlf',
];

#$flagExtInclude = 0;
#foreach($extPathList as $k => $extPath){
#	if($extPath == '--'){
#		$flagExtInclude = 1;
#	}
#	if($flagExtInclude == 0){
#		continue;
#	}
#	// Классы (до 4 уровней)
#	// $extPath = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY);
#	if(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded(basename($extPath))){
#		//if(is_file($extPath."Classes/Domain/_.txt") && file_exists($extPath."Classes/Domain/_.txt")){
#			if(is_dir($extPath."Classes/Domain/Model/")){
#				\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
#					'Litovchenko.AirTable',
#					'AirTableTxairtabletabcontent_sysext', // Make module a submodule of 'web'
#					'List'.$k, // 'air_mP'.$row['uid'] !По этому параметру определяем какой модуль открыт // Submodule key 
#					'', // Position
#					['List' => 'index,list,show'],
#					[
#						'access' => 'user,group',
#						'labels' => 'LLL:EXT:air_table/Resources/Private/Language/locallang_ext_'.basename($extPath).'.xlf',
#						'icon' => 'EXT:air_table/Resources/Public/Icons/module.svg'
#					]
#				);
#				
#				// Записываем название ".xlf"
#				if(class_exists('Litovchenko\AirTable\Utility\BaseUtility')){
#					$xlfContent = file_get_contents(\TYPO3\CMS\Core\Core\Environment::getPublicPath().'/typo3conf/ext/air_table/Resources/Private/Language/locallang_modlist.xlf');
#					$xlfContent = str_replace('###NAME###','БД: '.basename($extPath),$xlfContent);
#					\Litovchenko\AirTable\Utility\BaseUtility::fileReWrite(
#						\TYPO3\CMS\Core\Core\Environment::getPublicPath().'/typo3conf/ext/air_table/Resources/Private/Language/locallang_ext_'.basename($extPath).'.xlf', 
#						$xlfContent
#					);
#				}
#			}
#		//}
#	}
#}

// Таб
$GLOBALS['TBE_MODULES']['_configuration']['AirTableTxairtabletabservice'] = [
	'iconIdentifier' => 'module-web',
	'labels' => 'LLL:EXT:air_table/Resources/Private/Language/locallang_tabservice.xlf',
];

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
	'Litovchenko.AirTable',
	'txairtabletabservice',
	'Classes',
	'',
	['Classes' => 'index'],
	[
		'access' => 'user,group',
		'labels' => 'LLL:EXT:air_table/Resources/Private/Language/locallang_modclasses.xlf',
		'icon' => 'EXT:air_table/Resources/Public/Icons/module.svg'
	]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
	'Litovchenko.AirTable',
	'txairtabletabservice',
	'ExportXls',
	'',
	['ExportXls' => 'index,step2,step2Process,step3'],
	[
		'access' => 'user,group',
		'labels' => 'LLL:EXT:air_table/Resources/Private/Language/locallang_modexport_xls.xlf',
		'icon' => 'EXT:air_table/Resources/Public/Icons/module.svg'
	]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
	'Litovchenko.AirTable',
	'txairtabletabservice',
	'ExportCsv',
	'',
	['ExportCsv' => 'index,step2,step2Process,step3'],
	[
		'access' => 'user,group',
		'labels' => 'LLL:EXT:air_table/Resources/Private/Language/locallang_modexport_csv.xlf',
		'icon' => 'EXT:air_table/Resources/Public/Icons/module.svg'
	]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
	'Litovchenko.AirTable',
	'txairtabletabservice',
	'ImportXls',
	'',
	['ImportXls' => 'index,step2,step3,step3Process,step4'],
	[
		'access' => 'user,group',
		'labels' => 'LLL:EXT:air_table/Resources/Private/Language/locallang_modimport_xls.xlf',
		'icon' => 'EXT:air_table/Resources/Public/Icons/module.svg'
	]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
	'Litovchenko.AirTable',
	'txairtabletabservice',
	'ImportCsv',
	'',
	['ImportCsv' => 'index,step2,step3,step3Process,step4'],
	[
		'access' => 'user,group',
		'labels' => 'LLL:EXT:air_table/Resources/Private/Language/locallang_modimport_csv.xlf',
		'icon' => 'EXT:air_table/Resources/Public/Icons/module.svg'
	]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
	'Litovchenko.AirTable',
	'txairtabletabservice',
	'Functions',
	'',
	['Functions' => 'index'],
	[
		'access' => 'user,group',
		'labels' => 'LLL:EXT:air_table/Resources/Private/Language/locallang_modfunctions.xlf',
		'icon' => 'EXT:air_table/Resources/Public/Icons/module.svg'
	]
);

// Next releases
#\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
#	'Litovchenko.AirTable',
#	'txairtabletabservice',
#	'Constructor',
#	'',
#	['Constructor' => 'index,successful'],
#	[
#		'access' => 'user,group',
#		'labels' => 'LLL:EXT:air_table/Resources/Private/Language/locallang_modconstructor.xlf',
#		'icon' => 'EXT:air_table/Resources/Public/Icons/module.svg'
#	]
#);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
	'Litovchenko.AirTable',
	'txairtabletabservice',
	'Debug',
	'',
	['Debug' => 'index'],
	[
		'access' => 'user,group',
		'labels' => 'LLL:EXT:air_table/Resources/Private/Language/locallang_moddebug.xlf',
		'icon' => 'EXT:air_table/Resources/Public/Icons/module.svg'
	]
);

// Icon 1
$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
$iconRegistry->registerIcon(
	'extensions-air_table-icon_storage_extension',
	\TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
	['source' => 'EXT:air_table/Resources/Public/Icons/storage.extension.svg']
);

// Icon 2
$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
$iconRegistry->registerIcon(
	'extensions-air_table-icon_storage_subdomain',
	\TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
	['source' => 'EXT:air_table/Resources/Public/Icons/storage.subdomain.svg']
);

// Icon 3
$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
$iconRegistry->registerIcon(
	'extensions-air_table-icon_storage_tablerecord',
	\TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
	['source' => 'EXT:air_table/Resources/Public/Icons/storage.tablerecord.svg']
);

//
\FluidTYPO3\Flux\Core::registerProviderExtensionKey('Litovchenko.AirTable', 'Page');
\FluidTYPO3\Flux\Core::registerProviderExtensionKey('Litovchenko.AirTable', 'Content');

#\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin('Litovchenko.AirTable','Plugin1','Plugin Description');
#\FluidTYPO3\Flux\Core::registerFluidFlexFormPlugin(
#    'Litovchenko.AirTable',
#    'air_table_plugin1',
#    'EXT:air_table/Resources/Private/Templates/Plugin1/Index.html',
#    [],
#    'Configuration'
#);

// Перенести в TCA/Overrides/
#$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist']['air_table_plugin1'] = 'pi_flexform';
?>