<?php
namespace FluidTYPO3\TestProviderExtension\ViewHelpers;

use TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper;

class HelloWorldViewHelper extends AbstractViewHelper
{
	public function initializeArguments()
	{
		/*
		* @param string $name Name of the argument
		* @param string $type Type of the argument
		* @param string $description Description of the argument
		* @param bool $required If TRUE, argument is required. Defaults to FALSE.
		* @param mixed $defaultValue Default value of argument
		*/
		$this->registerArgument('TestArg', 'integer', 'description', true);
	}

    public function render()
    {
		$TestArg = $this->arguments['TestArg'];
        return 'hello world'.$TestArg;
    }
}